package MConnection::Capturing;
use strict;
use vars qw(
  @ISA
);
@ISA = qw(MConnection);

sub _subnew {
  my ($self) = @_;
  $self->{captured} = '';
}

sub send_str_raw {
  my ($self, $text) = @_;
  $self->{captured} .= $text;
}

sub source {"CAPTURE(".$_[0]->id.")"}
sub captured {return $_[0]{captured}}

1;
